<template>
  <basic-container>
    <el-tabs type="border-card">
      <el-tab-pane v-if="permission.postchange_view" label="網點出納主管及專管員崗位變更記錄表">
        <confirmed-postchange></confirmed-postchange>
      </el-tab-pane>
      <el-tab-pane v-if="permission.goodsuse_view" label="網點各項憑證/實物使用及出入庫">
        <tobeconfirm-goodsuse></tobeconfirm-goodsuse>
        <confirmed-goodsuse></confirmed-goodsuse>
      </el-tab-pane>
      <el-tab-pane v-if="permission.returns_view" label="新開戶退件登記表">
        <confirmed-returns></confirmed-returns>
      </el-tab-pane>
      <el-tab-pane v-if="permission.cardswallow_view" label="自助設備吞沒卡處理">
        <confirmed-cardswallow></confirmed-cardswallow>
      </el-tab-pane>
    </el-tabs>
  </basic-container>
</template>

<script>
  import {mapGetters} from "vuex";
  import ConfirmedPostchange from "@/components/confirmed/confirmed-postchange";
  import ConfirmedGoodsuse from "@/components/confirmed/confirmed-goodsuse";
  import ConfirmedReturns from "../../components/confirmed/confirmed-returns";
  import ConfirmedCardswallow from "../../components/confirmed/confirmed-cardswallow";

  export default {
    components: {ConfirmedCardswallow, ConfirmedReturns, ConfirmedGoodsuse, ConfirmedPostchange},
    data() {
      return {

        data: []
      };
    },
    computed: {
      ...mapGetters(["permission"]),
      permissionList() {
        return {
          addBtn: this.vaildData(this.permission.notice_add, false),
          viewBtn: this.vaildData(this.permission.notice_view, false),
          delBtn: this.vaildData(this.permission.notice_delete, false),
          editBtn: this.vaildData(this.permission.notice_edit, false)
        };
      },
      ids() {
        let ids = [];
        this.selectionList.forEach(ele => {
          ids.push(ele.id);
        });
        return ids.join(",");
      }
    },
    methods: {

    }
  };
</script>

<style>
</style>
